################################################################
#                                                              #
#                 Supplementary Materials                      #
#                                                              #
#         Mental disorders as networks of problems:            #
#                 a review of recent insights                  #
#                                                              #
#              Fried, van Borkulo, et al., 2016                #         
#                                                              #
#       Social Psychiatry and Psychiatric Epidemiology         #                   
#                                                              #
################################################################


library(qgraph)


##### Figure 1

### Figure 1A
AdjacencyMatrix.1A <- matrix(0,8,8) 
AdjacencyMatrix.1A[1,2] <- AdjacencyMatrix.1A[2,1] <- AdjacencyMatrix.1A[2,3] <- AdjacencyMatrix.1A[3,2] <- AdjacencyMatrix.1A[2,4] <- AdjacencyMatrix.1A[4,2] <- AdjacencyMatrix.1A[2,5] <- AdjacencyMatrix.1A[5,2] <- AdjacencyMatrix.1A[3,4] <- AdjacencyMatrix.1A[4,3] <- AdjacencyMatrix.1A[3,5] <- AdjacencyMatrix.1A[5,3] <- AdjacencyMatrix.1A[3,6] <- AdjacencyMatrix.1A[6,3] <- AdjacencyMatrix.1A[3,8] <- AdjacencyMatrix.1A[8,3] <- AdjacencyMatrix.1A[4,7] <- AdjacencyMatrix.1A[7,4] <- AdjacencyMatrix.1A[5,7] <- AdjacencyMatrix.1A[7,5] <- 1
N.1A <- qgraph(AdjacencyMatrix.1A, border.width=2,edge.width=1.2, vsize=10,
               border.color='#555555', edge.color="#555555", label.color="#555555", color="#EEEEEE")

pdf("Figure1A.pdf")
qgraph(N.1A)
dev.off()

### Figure 1B
AdjacencyMatrix.1B <- matrix(0,8,8) 
AdjacencyMatrix.1B[1,3] <- AdjacencyMatrix.1B[2,1] <- AdjacencyMatrix.1B[2,5] <- AdjacencyMatrix.1B[2,3] <- AdjacencyMatrix.1B[2,6] <- AdjacencyMatrix.1B[2,4] <-AdjacencyMatrix.1B[2,6] <- AdjacencyMatrix.1B[5,2] <- AdjacencyMatrix.1B[3,2] <- AdjacencyMatrix.1B[3,6] <- AdjacencyMatrix.1B[6,8] <- AdjacencyMatrix.1B[4,7] <- AdjacencyMatrix.1B[1,1] <- AdjacencyMatrix.1B[5,5] <- AdjacencyMatrix.1B[8,8] <- AdjacencyMatrix.1B[7,7] <- 1 
N.1B <- qgraph(AdjacencyMatrix.1B, border.width=2, edge.width=2, vsize=10, 
               border.color='#555555', edge.color="#555555", label.color="#555555", color="#EEEEEE")

pdf("Figure1B.pdf")
qgraph(N.1B)
dev.off()


##### Figure 2: comorbidity

AdjacencyMatrix.2 <- matrix(0,14,14)
AdjacencyMatrix.2[1,2] <- AdjacencyMatrix.2[1,4] <- AdjacencyMatrix.2[2,5] <- AdjacencyMatrix.2[5,2] <- AdjacencyMatrix.2[3,5] <- AdjacencyMatrix.2[11,9] <- AdjacencyMatrix.2[9,12] <- AdjacencyMatrix.2[12,9] <- AdjacencyMatrix.2[10,12] <- AdjacencyMatrix.2[13,10] <- AdjacencyMatrix.2[11,13] <- AdjacencyMatrix.2[6,8] <- AdjacencyMatrix.2[7,8] <- AdjacencyMatrix.2[8,7] <-AdjacencyMatrix.2[8,1] <- AdjacencyMatrix.2[8,2] <-AdjacencyMatrix.2[7,3]  <-AdjacencyMatrix.2[8,5] <-AdjacencyMatrix.2[9,6] <- AdjacencyMatrix.2[9,8] <- AdjacencyMatrix.2[10,7] <- AdjacencyMatrix.2[10,8] <- AdjacencyMatrix.2[11,8] <- AdjacencyMatrix.2[12,7] <- AdjacencyMatrix.2[6,4] <- AdjacencyMatrix.2[6,2] <- AdjacencyMatrix.2[14,11] <- 1

gr.2 <- list(1:5, 6:8, 9:13,14)
names.2 <- c("Y1", "Y2", "Y3", "Y4", "Y5","B1", "B2", "B3","X1","X2","X3","X4","X5","E")

N.2 <- qgraph(AdjacencyMatrix.2, groups=gr.2, #labels=names.2, 
              border.width=2,edge.width=1.2,
              color=c('#EEEEEE', '#ff8b94', '#EEEEEE', "#a8e6cf"), 
              border.color='#555555', edge.color="#555555", label.color="#555555")

layout1 <- N.2$layout
layout2 <- cbind(layout1[,2], -layout1[,1])
layout2[14,2] <- .2

N.2b <- qgraph(AdjacencyMatrix.2, layout=layout2, groups=gr.2, labels=names.2, 
              border.width=2,edge.width=1.2,
              color=c('#EEEEEE', '#ff8b94', '#EEEEEE', "#a8e6cf"), 
              border.color='#555555', edge.color="#555555", label.color="#555555")

pdf("Figure2.pdf")
qgraph(N.2b)
dev.off()

##### Figure 3: centrality 

AdjacencyMatrix.3 <- matrix(0,10,10) 
AdjacencyMatrix.3[1,2] <- AdjacencyMatrix.3[2,1] <- AdjacencyMatrix.3[2,3] <- AdjacencyMatrix.3[3,2] <- AdjacencyMatrix.3[2,4] <- AdjacencyMatrix.3[4,2] <- AdjacencyMatrix.3[3,4] <- AdjacencyMatrix.3[4,3] <- AdjacencyMatrix.3[3,6] <- AdjacencyMatrix.3[6,3] <- AdjacencyMatrix.3[3,8] <- AdjacencyMatrix.3[8,3] <- AdjacencyMatrix.3[3,9] <- AdjacencyMatrix.3[9,3] <- AdjacencyMatrix.3[3,10] <- AdjacencyMatrix.3[10,3] <- AdjacencyMatrix.3[4,7] <- AdjacencyMatrix.3[7,4] <- AdjacencyMatrix.3[5,7] <- AdjacencyMatrix.3[7,5] <- AdjacencyMatrix.3[5,10] <- AdjacencyMatrix.3[10,5] <- AdjacencyMatrix.3[9,10] <- AdjacencyMatrix.3[10,9] <- 1 
gr.3 <- list(c(1,2,4:10), 3) 
names.3 <- c("1","3","6","3","2","1","2","1","2","3")
N.3 <- qgraph(AdjacencyMatrix.3, groups = gr.3, color=c('#EEEEEE', '#ff8b94'), labels=names.3,
             border.width=2,edge.width=1.2, vsize=10, 
             border.color='#555555', edge.color="#555555", label.color="#555555")

pdf("Figure3.pdf")
qgraph(N.3)
dev.off()
